Package org.apache.maven.scm

## Class ChangeSet

- java.lang.Object
- - org.apache.maven.scm.ChangeSet

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `HgChangeSet`, `SvnChangeSet`

    public class ChangeSet
    extends java.lang.Object
    implements java.io.Serializable

Author:
  Emmanuel Venisse
See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `AMPERSAND_ENTITY` Escaped `&` entity
`static java.lang.String` `APOSTROPHE_ENTITY` Escaped `'` entity
`static java.lang.String` `GREATER_THAN_ENTITY` Escaped `>` entity
`static java.lang.String` `LESS_THAN_ENTITY` Escaped `<` entity
`static java.lang.String` `QUOTE_ENTITY` Escaped `"` entity

### Constructor Summary

Constructors
`ChangeSet()` Constructor used when attributes aren't available until later
`ChangeSet​(java.lang.String strDate, java.lang.String userDatePattern, java.lang.String comment, java.lang.String author, java.util.List<ChangeFile> files)`
`ChangeSet​(java.util.Date date, java.lang.String comment, java.lang.String author, java.util.List<ChangeFile> files)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addFile​(ChangeFile file)`
`void` `addMergedRevision​(java.lang.String mergedRevision)`
`boolean` `containsFilename​(java.lang.String filename)`
`boolean` `containsFilename​(java.lang.String filename, ScmProviderRepository repository)` Deprecated. Use method `containsFilename(String)`
`boolean` `equals​(java.lang.Object obj)`
`static java.lang.String` `escapeValue​(java.lang.Object value)` Escape the `toString` of the given object.
`java.lang.String` `getAuthor()` Getter for property author.
`java.lang.String` `getComment()` Getter for property comment.
`java.util.Date` `getDate()` Getter for property date.
`java.lang.String` `getDateFormatted()`
`java.util.List<ChangeFile>` `getFiles()` Getter for ChangeFile list.
`java.util.Set<java.lang.String>` `getMergedRevisions()`
`java.lang.String` `getParentRevision()`
`java.lang.String` `getRevision()`
`java.lang.String` `getTimeFormatted()`
`int` `hashCode()`
`void` `setAuthor​(java.lang.String author)` Setter for property author.
`void` `setComment​(java.lang.String comment)` Setter for property comment.
`void` `setDate​(java.lang.String date)` Setter for property date that takes a string and parses it
`void` `setDate​(java.lang.String date, java.lang.String userDatePattern)` Setter for property date that takes a string and parses it
`void` `setDate​(java.util.Date date)` Setter for property date.
`void` `setFiles​(java.util.List<ChangeFile> files)` Setter for ChangeFile list.
`void` `setMergedRevisions​(java.util.Set<java.lang.String> mergedRevisions)`
`void` `setParentRevision​(java.lang.String parentRevision)`
`void` `setRevision​(java.lang.String revision)`
`java.lang.String` `toString()`
`java.lang.String` `toXML()` Provide the changelog entry as an XML snippet.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### LESS_THAN_ENTITY

    public static final java.lang.String LESS_THAN_ENTITY

Escaped `<` entity

See Also:
  Constant Field Values

#### GREATER_THAN_ENTITY

    public static final java.lang.String GREATER_THAN_ENTITY

Escaped `>` entity

See Also:
  Constant Field Values

#### AMPERSAND_ENTITY

    public static final java.lang.String AMPERSAND_ENTITY

Escaped `&` entity

See Also:
  Constant Field Values

#### APOSTROPHE_ENTITY

    public static final java.lang.String APOSTROPHE_ENTITY

Escaped `'` entity

See Also:
  Constant Field Values

#### QUOTE_ENTITY

    public static final java.lang.String QUOTE_ENTITY

Escaped `"` entity

See Also:
  Constant Field Values

### Constructor Detail

#### ChangeSet

    public ChangeSet​(java.lang.String strDate,
                     java.lang.String userDatePattern,
                     java.lang.String comment,
                     java.lang.String author,
                     java.util.List<ChangeFile> files)

Parameters:
  `strDate` - Date the changes were committed
  `userDatePattern` - pattern of date
  `comment` - comment provided at commit time
  `author` - User who made changes
  `files` - The ChangeFile list

#### ChangeSet

    public ChangeSet​(java.util.Date date,
                     java.lang.String comment,
                     java.lang.String author,
                     java.util.List<ChangeFile> files)

Parameters:
  `date` - Date the changes were committed
  `comment` - comment provided at commit time
  `author` - User who made changes
  `files` - The ChangeFile list

#### ChangeSet

    public ChangeSet()

Constructor used when attributes aren't available until later

### Method Detail

#### getFiles

    public java.util.List<ChangeFile> getFiles()

Getter for ChangeFile list.

Returns:
  List of ChangeFile.

#### setFiles

    public void setFiles​(java.util.List<ChangeFile> files)

Setter for ChangeFile list.

Parameters:
  `files` - List of ChangeFiles.

#### addFile

    public void addFile​(ChangeFile file)

#### containsFilename

    public boolean containsFilename​(java.lang.String filename,
                                    ScmProviderRepository repository)

Deprecated.
Use method `containsFilename(String)`

Parameters:
  `filename` -
  `repository` - NOT USED
Returns:

#### containsFilename

    public boolean containsFilename​(java.lang.String filename)

#### getAuthor

    public java.lang.String getAuthor()

Getter for property author.

Returns:
  Value of property author.

#### setAuthor

    public void setAuthor​(java.lang.String author)

Setter for property author.

Parameters:
  `author` - New value of property author.

#### getComment

    public java.lang.String getComment()

Getter for property comment.

Returns:
  Value of property comment.

#### setComment

    public void setComment​(java.lang.String comment)

Setter for property comment.

Parameters:
  `comment` - New value of property comment.

#### getDate

    public java.util.Date getDate()

Getter for property date.

Returns:
  Value of property date.

#### setDate

    public void setDate​(java.util.Date date)

Setter for property date.

Parameters:
  `date` - New value of property date.

#### setDate

    public void setDate​(java.lang.String date)

Setter for property date that takes a string and parses it

Parameters:
  `date` - - a string in yyyy/MM/dd HH:mm:ss format

#### setDate

    public void setDate​(java.lang.String date,
                        java.lang.String userDatePattern)

Setter for property date that takes a string and parses it

Parameters:
  `date` - - a string in yyyy/MM/dd HH:mm:ss format
  `userDatePattern` - - pattern of date

#### getDateFormatted

    public java.lang.String getDateFormatted()

Returns:
  date in yyyy-mm-dd format

#### getTimeFormatted

    public java.lang.String getTimeFormatted()

Returns:
  time in HH:mm:ss format

#### getRevision

    public java.lang.String getRevision()

Returns:
Since:
  1.3

#### setRevision

    public void setRevision​(java.lang.String revision)

Parameters:
  `revision` -
Since:
  1.3

#### getParentRevision

    public java.lang.String getParentRevision()

#### setParentRevision

    public void setParentRevision​(java.lang.String parentRevision)

#### addMergedRevision

    public void addMergedRevision​(java.lang.String mergedRevision)

#### getMergedRevisions

    public java.util.Set<java.lang.String> getMergedRevisions()

#### setMergedRevisions

    public void setMergedRevisions​(java.util.Set<java.lang.String> mergedRevisions)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toXML

    public java.lang.String toXML()

Provide the changelog entry as an XML snippet.

Returns:
  a changelog-entry in xml format

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### escapeValue

    public static java.lang.String escapeValue​(java.lang.Object value)

Escape the `toString` of the given object. For use in an attribute value.

swiped from jakarta-commons/betwixt -- XMLUtils.java

Parameters:
  `value` - escape `value.toString()`
Returns:
  text with characters restricted (for use in attributes) escaped